package com.bootdo.datas.domain;

import java.io.Serializable;
import java.util.Date;


/**
 * 审核日志表
 * 
 * @author lyao
 * @date 2022-11-20 08:42:11
 */
public class ExamineLogDO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	//
	private Long id;

	// 类型
	private String dataType;

	// 唯一键
	private String uniqueKey;

	// 消息体
	private String message;

	// 创建用户id
	private Long userIdCreate;

	// 创建时间
	private Date gmtCreate;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public String getUniqueKey() {
		return uniqueKey;
	}

	public void setUniqueKey(String uniqueKey) {
		this.uniqueKey = uniqueKey;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Long getUserIdCreate() {
		return userIdCreate;
	}

	public void setUserIdCreate(Long userIdCreate) {
		this.userIdCreate = userIdCreate;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	@Override
	public String toString() {
		return "ExamineLogDO{" +
				"id=" + id +
				", dataType='" + dataType + '\'' +
				", uniqueKey='" + uniqueKey + '\'' +
				", message='" + message + '\'' +
				", userIdCreate=" + userIdCreate +
				", gmtCreate=" + gmtCreate +
				'}';
	}
}
